package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 首页-农业农村-日常任务
 * Created by Bby on 2022/6/26
 * Email bby0856@163.com
 */
public class RcrwPagelistBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean implements Serializable {
        private String id;
        private String createTime;
        private String updateTime;
        private String createBy;
        private Integer delFlag;
        private String rwmc;
        private String rmr;
        private String rwsj;
        private String jd;
        private String wd;
        private String fxwt;
        private String wtms;
        private String wtzp;
        private String clsc;
        private String pid;
        private Integer type;
        private List<UpLoadFileBean> wtzpFile;
        private List<UpLoadFileBean> clscFile;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Integer getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(Integer delFlag) {
            this.delFlag = delFlag;
        }

        public String getRwmc() {
            return rwmc;
        }

        public void setRwmc(String rwmc) {
            this.rwmc = rwmc;
        }

        public String getRmr() {
            return rmr;
        }

        public void setRmr(String rmr) {
            this.rmr = rmr;
        }

        public String getRwsj() {
            return rwsj;
        }

        public void setRwsj(String rwsj) {
            this.rwsj = rwsj;
        }

        public String getJd() {
            return jd;
        }

        public void setJd(String jd) {
            this.jd = jd;
        }

        public String getWd() {
            return wd;
        }

        public void setWd(String wd) {
            this.wd = wd;
        }

        public String getFxwt() {
            return fxwt;
        }

        public void setFxwt(String fxwt) {
            this.fxwt = fxwt;
        }

        public String getWtms() {
            return wtms;
        }

        public void setWtms(String wtms) {
            this.wtms = wtms;
        }

        public String getWtzp() {
            return wtzp;
        }

        public void setWtzp(String wtzp) {
            this.wtzp = wtzp;
        }

        public String getClsc() {
            return clsc;
        }

        public void setClsc(String clsc) {
            this.clsc = clsc;
        }

        public String getPid() {
            return pid;
        }

        public void setPid(String pid) {
            this.pid = pid;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public List<UpLoadFileBean> getWtzpFile() {
            return wtzpFile;
        }

        public void setWtzpFile(List<UpLoadFileBean> wtzpFile) {
            this.wtzpFile = wtzpFile;
        }

        public List<UpLoadFileBean> getClscFile() {
            return clscFile;
        }

        public void setClscFile(List<UpLoadFileBean> clscFile) {
            this.clscFile = clscFile;
        }
    }
}
